/* 
 *  Copyright (C) 1999-2000 Bernd Gehrmann
 *                          bernd@physik.hu-berlin.de
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the "Artistic License" which comes with this Kit. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Artistic License for more details.
 *
 * You should have received a copy of the Artistic License with 
 * this Kit, in the file named "Artistic".  If not, I'll be glad
 * to provide one.
 */


#include <kapp.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include "toplevel.h"


int main(int argc, char* argv[])
{ 
    static const char *description = I18N_NOOP("Columbo");
    static const char *version="0.5";

    KAboutData aboutData( "columbo", I18N_NOOP("Columbo"),
                          version, description, KAboutData::License_Artistic,
                          "(c) 1999-2000 Bernd Gehrmann");

    KCmdLineArgs::init(argc, argv, &aboutData);
    KApplication app;
    
    if (app.isRestored())
        { 
            //            RESTORE(TopLevel);
        }
    else
        {
            TopLevel *t = new TopLevel();
            app.setMainWidget(t);
            t->show();
        }
    return app.exec();
}  
